.wh-01-visual-wrap {
    position: relative;
}

.wh-01-visual-news {
    position: absolute;
    bottom: 0;
    left: 0;
    background-color: black;
    width: 50%;
}

.wh-01-visual-news-wrap {
    position: relative;
    padding: 10px;
}

.news-label {
    position: absolute;
    background-color: var(--wh-main);
    top: -36%;
    padding: 0px 10px;
    color: var(--wh-white);
    font-size: 14px;

}

.wh-news-text {
    color: var(--wh-white);
    display: flex;
    font-size: 14px;
    flex-wrap: wrap;
}

.wh-news-text span {
    border-right: 1px solid var(--wh-white);
    padding-right: 5px;
    margin-right: 5px;
}

/* .wh-main-slider-wrap {
    display: none;
} */


/* .wh-02-visual-images {
        display: none;
    } */

/* .wh-main-slider-wrap {
        display: flex;
    } */

.wh-main-slider-items {
    margin: 0px !important;
}

.wh-main-slider {
    width: 100%;
}

.wh-01-visual-news {
    position: relative;
    margin-top: 40px;
}

/* .wh-main-slider-items{
        height: 80vh;
    }

     .wh-main-slider-items figure{
        height: 80vh!important;
     }
    .wh-main-slider-items figure img {
    width: 100%;
    height: 100%!important;
    object-fit: cover;
} */

.slick-dots .wh-main-custom-dot {
    width: 42px;
    height: 5px;
    background-color: #ccc;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.slick-active .wh-main-custom-dot {
    background-color: var(--wh-main);
}

.wh-main-slider .slick-dots {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
    gap: 5px;
    margin-top: 10px;
    margin-right: 10px;
}

@media (max-width: 992px) {
.wh-01-visual-news {
    width: 70%;
}
}

@media (max-width: 768px) {
.wh-01-visual-news {
    width: 100%;
}
}
.wh-ms-mb{
    display: none;
}

@media (max-width: 768px) {
.wh-ms-mb {
    display: block;
}
.wh-ms-pc{
    display: none;
}
}


/*  */
.wh-section-title {
    display: flex;
    align-items: center;
    position: relative;
    padding-bottom: 8px;
    font-size: 28px;
    font-weight: bold;
    color: var(--text);
    margin-bottom: 20px;
    justify-content: space-between;
}


.wh-section-title::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    border-bottom: 2px solid var(--wh-main);
}

.section-left {
    display: flex;
    align-items: center;
    gap: 5px;
}

.wh-section-icon {
    margin-right: 10px;
    color: var(--wh-main);
}
.wh-section-title h2{
    font-size: clamp(18px, 6vw, 30px);
}

.section-button {
    display: inline-flex;
    align-items: center;
    padding: 3px 10px;
    border: 1px solid var(--wh-main);
    border-radius: 999px;
    font-size: 14px;
    color: var(--wh-main);
    text-decoration: none;
    gap: 3px;
    transition: background 0.2s ease;
}

.section-button:hover {
    background-color: #f0fdf4;
}

.section-button svg {
    width: 14px;
    height: 14px;
    fill: var(--wh-main);
}

@media (max-width: 600px) {
    /* .wh-section-title {
        font-size: 1.2rem;
    } */

    .wh-section-icon {
        margin-right: 8px;
    }
}

/* wh-02-section" */

.wh-02-section {
    padding-top: 100px;
}


/*  */

.wh-s-scroll-wrapper {
    position: relative;
    width: 100%;
}

.wh-s-container {
    display: flex;
    gap: 35px;
    overflow-x: auto;
    scroll-behavior: smooth;
    padding: 20px 0;
    scroll-snap-type: x mandatory;
    scrollbar-width: none;
    /* Firefox */
}

.wh-s-container::-webkit-scrollbar {
    display: none;
    /* Chrome, Safari */
}

.wh-s-card {
    flex: 0 0 calc(100% / 3 - 14px);
    scroll-snap-align: start;
    position: relative;
    border-radius: 12px;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.15);
    background: #fff;
    height: clamp(280px, 20vw, 330px);
}

.wh-s-image {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.wh-s-price-tag {
    position: absolute;
    top: -15px;
    left: 10px;
    background: var(--wh-white);
    border: 1px solid #d9534f;
    border-radius: 6px;
    padding: 1px 10px;
    font-size: 14px;
    color: #333;
    letter-spacing: normal;
}

.wh-s-price-tag strong {
    color: #d9534f;
    font-size: clamp(17px, 2vw, 20px);
}

.wh-s-info-overlay {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: clamp(5px, 1vw, 15px);
    color: var(--wh-white);
    background: linear-gradient(to top, rgba(0, 0, 0, 0.7), transparent);
    text-align: left;
}

.wh-s-title {
    font-weight: bold;
    font-size: 18px;
    letter-spacing: normal;
    margin-bottom: 5px;
}

.wh-s-location {
    font-size: clamp(12px, 1vw, 16px);
    display: flex;
    align-items: center;
    gap: 5px;
}

.wh-s-location svg {
    fill: #ff4e4e;
    width: 16px;
    height: 16px;
}

.wh-s-bottom-button {
    margin-top: 40px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.wh-s-more-btn {
    display: inline-flex;
    align-items: center;
    gap: 10px;
    background: var(--wh-main);
    color: var(--wh-white);
    padding: 10px 15px;
    border: none;
    border-radius: 999px;
    font-size: 18px;
    text-decoration: none;
}

.wh-s-more-btn i {
    fill: var(--wh-white);
    width: 20px;
    height: 20px;
}

.mbSucrose {
    display: block;
    text-align: right;
    font-size: 12px;
    font-weight: bold;
}

@media (max-width: 882px) {
    .wh-s-card {
        width: 45%;
    }

    .wh-s-title {
        font-size: 16px;
    }
}

@media (max-width: 768px) {
    .wh-s-card {
        flex: 0 0 calc(100% / 2 - 14px);
    }
}

@media (max-width: 576px) {
    .wh-s-card {
        flex: 0 0 calc(100% / 1 - 100px);
    }
}

@media (max-width: 420px) {
    .wh-s-card {
        flex: 0 0 calc(100%);
    }

    .wh-s-title {
        font-size: 15px;
    }
}

/* full banner */
.wh-full-banner {
    width: 100%;
}

.wh-full-banner img {
    margin: 0 auto;
    width: 100%;
}

/* event */
.wh-rev-event-wrap {
    display: flex;
    gap: 35px;
    overflow-x: auto;
    scroll-behavior: smooth;
    padding: 10px 0;
    scroll-snap-type: x mandatory;
    scrollbar-width: none;
    /* Firefox */
}

.wh-rev-event-wrap::-webkit-scrollbar {
    display: none;
    /* Chrome, Safari */
}

.wh-rev-event-items {
    flex: 0 0 calc(100% / 3 - 25px);
    scroll-snap-align: start;
    position: relative;
    border-radius: 12px;
    box-shadow: 0 1px 10px rgba(0, 0, 0, 0.1);
    background: var(--wh-white);
    padding: 10px;
}

.wh-rev-event-items figure {
    /* height: clamp(180px, 20vw, 220px); */
    margin-bottom: 10px
}

.wh-rev-event-items img {
    height: 100%;
    width: 100%;
    margin-bottom: 5px;
    object-fit: cover;
}

.wh-rev-event-items h3 {
    font-size: 16px;
    color: #000;
    text-align: left;
    margin-bottom: 5px;
}

.wh-rev-d-t {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.wh-rev-d-t span {
    color: #707070;
    font-size: 14px;
    letter-spacing: normal;
}

.wh-rev-d-t i {
    color: red;
}

@media (max-width: 768px) {
    .wh-rev-event-items {
        flex: 0 0 calc(100% / 2 - 14px);
    }
}

@media (max-width: 576px) {
    .wh-rev-event-items {
        flex: 0 0 calc(100% / 1 - 100px);
    }

    .wh-rev-event-items h3 {
        font-size: clamp(20px, 2vw, 22px);
    }
}

@media (max-width: 420px) {
    .wh-rev-event-items {
        flex: 0 0 calc(100%);
    }

    .wh-s-title {
        font-size: 15px;
    }
}

/* works section */
.works-background {
    margin-top: 70px;
    padding: 70px 0px;
    background-image: url("../images//front-new/works-background.png");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: scroll;
}

/* -------- */

.wh-work-container {
    /* min-width: 576px; */
    margin: 40px auto;
    text-align: center;
}

.wh-work-title {
    font-size: 32px;
    font-weight: bold;
    margin-bottom: 20px;
    position: relative;
}

.wh-work-title::after {
    content: "ï¼";
    font-size: 24px;
    position: absolute;
    bottom: -5px;
    left: 50%;
    transform: translateX(-50%);
    color: black;
}

.wh-work-images-section {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: clamp(20px, 5vw, 60px);
}

.wh-work-image-card {
    background-color: var(--wh-white);
    border: 1px solid #ddd;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    position: relative;
    display: flex;
    flex-direction: column;
    border-bottom: 4px solid var(--green);
}

.wh-work-image-card a {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.wh-work-image-card figure {
    width: 100%;
    height: clamp(160px, 20vw, 350px);
    overflow: hidden;
}

.wh-work-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.wh-work-card-text {
    padding: clamp(10px, 1vw, 15px);
    text-align: left;
    position: relative;

}

.wh-work-heading {
    font-size: clamp(18px, 1vw, 22px);
    font-weight: bold;
    margin: 0;
}

.wh-work-card-text p {
    font-size: 14px;
    color: #666;
    margin-top: 5px;
}

.wh-work-arrow {
    font-size: 20px;
    color: var(--green);
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
}

@media (max-width: 768px) {
    .wh-work-images-section {
        display: flex;
    }

    .wh-work-image-card {
        height: clamp(280px, 30vw, 300px) !important;
        border-bottom: 4px solid var(--green) !important;

    }

    .wh-work-image-card figure {
        width: 100%;
        height: clamp(235px, 20vw, 350px);
        overflow: hidden;
    }
}



/* dream-home-wrap */

.dream-home-wrap {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 4.7%;
}

.dream-home-items {
    width: 30%;
    height: clamp(200px, 27vw, 270px);
    overflow: hidden;
    position: relative;
    margin-bottom: 30px;
}

.dream-home-items figure {
    width: 100%;
    height: 100%;
}

.dream-home-items figure img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.6s ease;
}

/* .dream-home-items figure img:hover {
    transform: scale(1.2);
} */
.dream-home-items:hover figure img {
    transform: scale(1.2);
}

.dream-home-items .dream-home-text {
    position: absolute;
    top: 50%;
    display: flex;
    left: 50%;
    z-index: 2;
    border: 2px solid var(--wh-white);
    width: 90%;
    height: 90%;
    transform: translate(-50%, -50%);
    text-align: center;
    padding: 10px;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 10px;
}
.dream-home-items .dream-home-over{
   position: absolute;
    top: 50%;
    display: flex;
    left: 50%;
    z-index: 1;
    background-color: #0000002b;
    width: 100%;
    height: 100%;
    transform: translate(-50%, -50%);
    text-align: center;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.dream-home-text h3 {
    font-size: clamp(18px, 2.4vw, 30px);
    font-weight: bold;
    color: var(--wh-white);
}

.dream-home-text p {
    font-size: 16px;
    color: var(--wh-white);
}

.dream-home-text a {
    margin-top: 10px;
    font-size: 16px;
    border: 1px solid var(--wh-white);
    padding: 5px 10px;
    color: var(--wh-white);
    border-radius: 10px;
    transition: background-color 0.4s ease, transform 0.6s ease, color 0.4s ease;
}

.dream-home-text a:hover {
    background-color: var(--wh-main);
    transform: scale(1.05);
    color: #fff;
}

@media (max-width: 768px) {
    .wh-rev-event-items {
        width: 48%;
    }
    .dream-home-text h3 {
        font-size: clamp(22px, 4vw, 30px);
}
}
@media (max-width: 519px) {
    .dream-home-text h3 {
        font-size: clamp(22px, 8vw, 30px)!important;
}
.dream-home-text p {
    font-size: clamp(16px, 5vw, 20px)!important;
    color: var(--wh-white);
}
}


/* blog */

/* Slider Container */
.wh-blog-slick-slider-container {
    /* min-width: 576px; */
    width: 100%;
    margin: auto;
    overflow: hidden;
}

/* Styling for the individual slides */
.wh-blog-slick-slide-item {
    padding: 7px;
    box-shadow: 0px 3px 6px #00000029;
    border: 0.5px solid #b0b0b0;
    border-radius: 5px;
}

.wh-blog-slick-slide-item figure {
    height: clamp(230px, 36vw, 300px);
    width: 100%;
    border-radius: 5px;
    overflow: hidden;
}

.wh-blog-slick-slide-item figure img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.wh-blog-slick-slide-item a {
    position: relative;
    height: 100%;
    width: 100%;
    display: block;
}

.wh-h-blog-text {
    position: absolute;
    bottom: 0px;
    width: 100%;
    background: var(--wh-white);

}

.wh-blog-slick-slide-item h3 {
    font-size: clamp(16px, 1vw, 18px);
    text-align: left;
    margin-top: 10px;
    margin-bottom: 10px;
}

.wh-blog-slick-slide-item-a {
    display: flex;
    justify-content: center;
    text-decoration: none;
    background: var(--green) 0% 0% no-repeat padding-box;
    color: #ffff;
    text-align: center;
    justify-content: center;
    width: 120px;
    padding: 3px;
    margin: 0 auto;
    border-radius: 5px;
}

.wh-blog-time-label {
    font-size: 14px;
    color: var(--text);
    letter-spacing: normal;
}

.wh-blog-time-label .wh-b-category {
    color: var(--wh-white);
    padding: 1px 5px;
    background-color: var(--wh-main);
}


/* modal hose video abnner and second banner */
.hw-modals-house-section {
    position: relative;
    background-image: url(../images/index-new/modal-house-bg-banner.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    padding: 10px 30px 30px;
    /* min-width: 576px; */
    color: white;
    overflow: hidden;
    margin-top: 70px;
}


.hw-modals-house-section * {
    position: relative;
    z-index: 2;
    margin-top: 20px;
}

.wh-modal-house {
    width: 100%;
    position: relative;
}

.wh-modal-house img {
    width: 100%;
    height: 100%;
}


.wh-m-h-mb {
    display: none;
}

@media (max-width: 576px) {
    .hw-modals-house-section {
        padding: 30px 0px;
    }

    .wh-m-h-pc {
        display: none;
    }

    .wh-m-h-mb {
        display: block;
    }
}



/* page topick */

.p-topick-top-banner {
    display: grid;
    gap: 25px;
    grid-template-columns: repeat(auto-fill, minmax(356px, 1fr));
    margin-top: 70px;
    margin-bottom: 70px;
}

.p-topick-top-banner a img {
    width: 100%;
    height: 100%;
    transition: transform 0.3s ease-in-out;
    /* Smooth transition for transform */
}

.p-topick-top-banner a:hover img {
    transform: scale(0.95);
    /* Scale effect on hover */
}

@media (max-width: 1200px) {
    .p-topick-top-banner {
        grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    }
}

@media (max-width: 768px) {
    .p-topick-top-banner {
        grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    }
}